<!-- Header -->
<br/><p align="center">
  <picture>
    <source media="(prefers-color-scheme: dark)" srcset="https://github.com/BlueprintFramework/framework/assets/103201875/c0072c61-0135-4931-b5fa-ce4ee7d79f4a">
    <source media="(prefers-color-scheme: light)" srcset="https://github.com/BlueprintFramework/framework/assets/103201875/a652a6e7-b53f-4dcd-ae4e-2051f5c9c7b9">
    <img alt="Blueprint" src="https://github.com/BlueprintFramework/framework/assets/103201875/c0072c61-0135-4931-b5fa-ce4ee7d79f4a" height="30">
  </picture>
  <br/>
  Open-source modding framework for the Pterodactyl panel.
  <br/><br/>
  <a href="https://blueprint.zip">Website</a> <b>·</b>
  <a href="https://discord.gg/CUwHwv6xRe">Community</a> <b>·</b>
  <a href="https://blueprint.zip/docs">Documentation</a>
</p>



<!-- Introduction -->
<br/><h2 align="center">🧩 Introduction</h2>

**Blueprint** is an open-source extension framework/manager for Pterodactyl. Developers can create versatile, easy-to-install extensions that system administrators can install within minutes *(usually even seconds!)* without having to custom-code compatibility across multiple panel modifications.

We aim to introduce new developers to Blueprint with easy to understand guides, documentation, developer commands, community support and more.

[Learn more about **Blueprint**](https://blueprint.zip) or [find your **next extension**](https://blueprint.zip/browse).



<!-- Showcase -->
<br/><h2 align="center">📷 Showcase</h2>

![screenshots](https://github.com/BlueprintFramework/framework/assets/103201875/cb66943e-a60e-44e5-afd4-90475b106244)



<!-- Sponsors -->
<br/><h2 align="center">💖 Sponsors</h2>

Sponsors help fund development and maintenance. [Interested in sponsoring Blueprint?](https://github.com/sponsors/prplwtf)
| Company | About |
|---------|-------|
| [**`HostEZ`**](https://hostez.io?utm_source=blueprint) | US & EU Rust & Minecraft Hosting. DDoS Protected bare metal, VPS and colocation with low latency, high uptime and maximum availability. EZ! |



<!-- Contributors -->
<br/><h2 align="center">👥 Contributors</h2>

Contributors help shape the future of the Blueprint modding framework. To start contributing you have to [fork this repository](https://github.com/BlueprintFramework/framework/fork) and [open a pull request](https://github.com/BlueprintFramework/framework/compare).

<a href="https://github.com/BlueprintFramework/framework/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=BlueprintFramework/framework" />
</a>



<!-- Stargazers -->
<br/><h2 align="center">🌟 Stargazers</h2>

<a href="https://github.com/BlueprintFramework/framework/stargazers/">
  <picture>
    <source media="(prefers-color-scheme: light)" srcset="http://reporoster.com/stars/BlueprintFramework/framework">
    <img alt="stargazer-widget" src="http://reporoster.com/stars/dark/BlueprintFramework/framework">
  </picture>
</a>



<!-- Related Links -->
<br/><h2 align="center">🔗 Related Links</h2>

[**Pterodactyl**](https://pterodactyl.io/) is a free, open-source game server management panel built with PHP, React, and Go.\
[**BlueprintFramework/docker**](https://github.com/BlueprintFramework/docker) is the image for running Blueprint and Pterodactyl with Docker.\
[**BlueprintFramework/templates**](https://github.com/BlueprintFramework/templates) is a repository with initialization templates for extension development.\
[**BlueprintFramework/web**](https://github.com/BlueprintFramework/web) is our open-source documentation and landing website.


<br/><br/>
<p align="center">
  $\color{#4b4950}{\textsf{© 2023-2024 Ivy (prpl.wtf)}}$
  <br/><br/><img src="https://github.com/BlueprintFramework/framework/assets/103201875/a04ba717-fb6c-4bb6-9cd2-71643c0b659b"/>
</p>
